Skip to content

List of presidents in Colombia​

GET
/api/v1/President

This endpoint returns the presidents in colombia including general info like political party, city, start period, etc...

Parameters​

Query Parameters

sortBy

It can be sorted by any of the fields that have numerical, string, or date values (for example: Id, name, description, etc.).

Typestring
sortDirection

Possible values: 'asc' or 'desc'.

Typestring

Responses​

OK

application/json
JSON
[
{
"id": 0,
"image": "string",
"name": "string",
"lastName": "string",
"startPeriodDate": "string",
"endPeriodDate": "string",
"politicalParty": "string",
"description": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
]

Playground​

Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

MIT License